View Issue Details

IDProjectCategoryView StatusLast Update
0003321Path[FreeCAD] Bugpublic2018-01-24 00:30
ReporterJoshM Assigned Tomlampert  
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003321: Path WorkBench ExportTemplate is available prior with no Job open.
DescriptionI noticed that when entering Path WB, prior to creating a Job, the PathExportTemplate command is available, but since there is no Job to export, the Python console shows an error.

I reported this in the Path WB sub forum, and sliptonic confirmed.

Steps To ReproduceEnter Path WB and Press ExportTemplate GUI Button or Path->Menu->ExportTemplate
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13050 (Git)
Build type: Release
Branch: master
Hash: 305a567819522a336bd16a6c694772be2f56af47
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
TagsPath

Activities

Kunda1

2018-01-23 19:05

administrator   ~0010833

@JoshM please link ticket to forum thread. Thanks.

sliptonic

2018-01-23 21:21

developer   ~0010840

@mlampert:

The initial bug is now resolved. The ExportTemplate isn't available unless there's a job in the current document. However, if there are two or more jobs, ExportTemplate fails and gives the error:

Running the Python command 'Path_ExportTemplate' failed:
Traceback (most recent call last):
  File "/home/brad/FCD/FC/Mod/Path/PathScripts/PathJobCmd.py", line 247, in Activated
    dialog = DlgJobTemplateExport(job)
  File "/home/brad/FCD/FC/Mod/Path/PathScripts/PathJobCmd.py", line 139, in __init__
    if job.PostProcessor:

'bool' object has no attribute 'PostProcessor'

mlampert

2018-01-23 21:38

developer   ~0010841

do I ever suck at fixing bugs ....

wmayer

2018-01-24 00:30

administrator   ~0010842

https://github.com/FreeCAD/FreeCAD/commit/5cee8c9cdfdcddaeb54493ff1251011a3c419f96

Issue History

Date Modified Username Field Change
2018-01-22 00:16 JoshM New Issue
2018-01-22 00:16 JoshM Tag Attached: Path
2018-01-23 19:05 Kunda1 Note Added: 0010833
2018-01-23 19:05 Kunda1 Status new => feedback
2018-01-23 21:21 sliptonic Note Added: 0010840
2018-01-23 21:32 mlampert Assigned To => mlampert
2018-01-23 21:32 mlampert Status feedback => assigned
2018-01-23 21:38 mlampert Note Added: 0010841
2018-01-23 22:06 mlampert Project FreeCAD => Path
2018-01-24 00:30 wmayer Status assigned => closed
2018-01-24 00:30 wmayer Resolution open => fixed
2018-01-24 00:30 wmayer Fixed in Version => 0.17
2018-01-24 00:30 wmayer Note Added: 0010842